
Infrastructure - Bug #7676

incorrect redirect for search being set after CN upgrade

2016-03-16 02:24 - Dave Vieglais

Status: Closed Start date: 2016-03-16

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: CCI-2.1.3   

Milestone: None Story Points:  

Product Version: *   

Description

After the 2.1.1 upgrade, the cn was redirecting to search.test.dataone.org instead of search.dataone.org

This is fixed in trunk with the following. Just need to make sure it gets into 2.1.2 release.

Author: jones

Date: 2016-03-15 19:18:16 -0700 (Tue, 15 Mar 2016)

New Revision: 17802

Modified:

software/cicore/trunk/cn-buildout/dataone-cn-os-core/etc/dataone/d1DebConfig.xml

Log:

Fix production search host URL to use search.dataone.org.

It used to use search.test.dataone.org, which is wrong.

Modified:

software/cicore/trunk/cn-buildout/dataone-cn-os-core/etc/dataone/d1DebC

onfig.xml

--- software/cicore/trunk/cn-buildout/dataone-cn-os-core/etc/dataone/d1DebConfig.xml    2016-03-16 00:34:17 UTC (rev 17801)

+++ software/cicore/trunk/cn-buildout/dataone-cn-os-core/etc/dataone/d1DebConfig.xml    2016-03-16 02:18:16 UTC (rev 17802)

@@ -718,7 +718,7 @@

    <question  keyref="dataone-cn-os-core/cn.router.hostname">cn.dataone.org</question>

    <question  keyref="dataone-cn-os-core/cn.router.nodeId">urn:node:CN</question>

search.test.dataone.org

search.dataone.org     geotrust_intermediate.crt     DataONECAChain.crt     _.dataone.org.crt

Associated revisions

Revision 17889 - 2016-04-08 16:30 - Robert Waltz

refs #7676

Revision 17889 - 2016-04-08 16:30 - Robert Waltz

refs #7676

Revision 17893 - 2016-04-11 16:11 - Robert Waltz

refs #7676

updating urls to point to releases website
Revision 17893 - 2016-04-11 16:11 - Robert Waltz

refs #7676

updating urls to point to releases website

Revision 17894 - 2016-04-11 16:13 - Robert Waltz

refs #7676

updating urls to point to releases website

Revision 17894 - 2016-04-11 16:13 - Robert Waltz

refs #7676

updating urls to point to releases website

History

#1 - 2016-03-16 02:24 - Dave Vieglais

- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 2016-03-16 14:31 - Chris Jones

While this fix is good in the buildout, we also need to push the new file to https://releases.dataone.org/debian/conf/d1DebConfig.xml, since the

postinst script only pulls from that version when determining which environment it is configuring (last time I checked anyway).

#3 - 2016-03-25 21:21 - Dave Vieglais

- Target version changed from CCI-2.1.2 to CCI-2.1.3

#4 - 2016-04-08 16:32 - Robert Waltz

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

#5 - 2016-04-27 14:36 - Dave Vieglais

- % Done changed from 50 to 100

- Status changed from Testing to Closed
